/*
	This main program demonstrates how the Book class works
	
	You should not modify any code contained in this program.

	You are only to modify the Book class.

*/

public class Bookstore {

	public static void main(String args[]) {
	
		System.out.println("Bookstore Demo\n");
			

		Book book1 = new Book ("Computing Concepts","Horstmann",200,69.95);
		printBookDetails (book1);	
		System.out.println();
		
		Book book2 = new Book ("Calculus","Thomas",5,39.00);
		printBookDetails (book2);	
		System.out.println();		
		
		System.out.println("Some sales are being made");
		for (int i = 1; i < 20; i++)
			book1.sell();
		book2.sell();
		System.out.println();
		printBookDetails (book1);	
		System.out.println();		
		printBookDetails (book2);	
		
	}
	
	public static void printBookDetails(Book b) {
		System.out.println("The title of this book is " + b.getTitle());
		System.out.println("and the author of this book is " + b.getAuthor());
		System.out.println("The cost of this book is $" + b.getCost());
		System.out.println("Currently, this book has " + b.getCopies() + " in stock.");
	}
	
}
